Bullet Collision Detection & Physics Library: btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback Struct Reference

`#include <btDeformableMultiBodyDynamicsWorld.h>`

Inheritance diagram for btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback:
[legend]
Collaboration diagram for btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback:
[legend]

## Public Member Functions
| btDeformableSingleRayCallback (const btVector3 &rayFromWorld, const btVector3 &rayToWorld, const btDeformableMultiBodyDynamicsWorld *world, btCollisionWorld::RayResultCallback &resultCallback)
virtual bool | process (const btBroadphaseProxy *proxy)
Public Member Functions inherited from btBroadphaseRayCallback
virtual | ~btBroadphaseRayCallback ()
Public Member Functions inherited from btBroadphaseAabbCallback
virtual | ~btBroadphaseAabbCallback ()
virtual bool | process (const btBroadphaseProxy *proxy)=0

## Public Attributes
btVector3 | m_rayFromWorld
btVector3 | m_rayToWorld
btTransform | m_rayFromTrans
btTransform | m_rayToTrans
btVector3 | m_hitNormal
const btDeformableMultiBodyDynamicsWorld * | m_world
btCollisionWorld::RayResultCallback & | m_resultCallback
Public Attributes inherited from btBroadphaseRayCallback
btVector3 | m_rayDirectionInverse
| added some cached data to accelerate ray-AABB tests
unsigned int | m_signs [3]
btScalar | m_lambda_max

## Additional Inherited Members
Protected Member Functions inherited from btBroadphaseRayCallback
| btBroadphaseRayCallback ()

## Detailed Description

Definition at line 178 of file btDeformableMultiBodyDynamicsWorld.h.

## Constructor & Destructor Documentation

## ◆ btDeformableSingleRayCallback()

btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::btDeformableSingleRayCallback | ( | const btVector3 & | rayFromWorld,
|  | const btVector3 & | rayToWorld,
|  | const btDeformableMultiBodyDynamicsWorld * | world,
|  | btCollisionWorld::RayResultCallback & | resultCallback
| ) |  |
| inline

what about division by zero? --> just set rayDirection[i] to INF/1e30

Definition at line 189 of file btDeformableMultiBodyDynamicsWorld.h.

## Member Function Documentation

## ◆ process()

virtual bool btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::process | ( | const btBroadphaseProxy * | proxy | ) |
| inlinevirtual

terminate further ray tests, once the closestHitFraction reached zero

Implements btBroadphaseAabbCallback.

Definition at line 214 of file btDeformableMultiBodyDynamicsWorld.h.

## Member Data Documentation

## ◆ m_hitNormal

btVector3 btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::m_hitNormal

Definition at line 184 of file btDeformableMultiBodyDynamicsWorld.h.

## ◆ m_rayFromTrans

btTransform btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::m_rayFromTrans

Definition at line 182 of file btDeformableMultiBodyDynamicsWorld.h.

## ◆ m_rayFromWorld

btVector3 btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::m_rayFromWorld

Definition at line 180 of file btDeformableMultiBodyDynamicsWorld.h.

## ◆ m_rayToTrans

btTransform btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::m_rayToTrans

Definition at line 183 of file btDeformableMultiBodyDynamicsWorld.h.

## ◆ m_rayToWorld

btVector3 btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::m_rayToWorld

Definition at line 181 of file btDeformableMultiBodyDynamicsWorld.h.

## ◆ m_resultCallback

btCollisionWorld::RayResultCallback& btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::m_resultCallback

Definition at line 187 of file btDeformableMultiBodyDynamicsWorld.h.

## ◆ m_world

const btDeformableMultiBodyDynamicsWorld* btDeformableMultiBodyDynamicsWorld::btDeformableSingleRayCallback::m_world

Definition at line 186 of file btDeformableMultiBodyDynamicsWorld.h.

The documentation for this struct was generated from the following file:

- btDeformableMultiBodyDynamicsWorld.h